body{
    align-content: center;
}

.exercise {
    height: 100px;;
    width: 600px;
    margin-left: calc(calc(100% - 600px)/2);
    margin-right: calc(calc(100% - 600px)/2);
}

.mycontainer{
    width: 600px;
    margin-left: calc(calc(100% - 600px)/2);
    margin-right: calc(calc(100% - 600px)/2);
}

.mysection{
    width: 100%;
    height: 600px;
    max-height: 1200px;
    list-style-type: none;
    padding: 0;
}

.mysection li{
    border: 1px black solid;
    position: relative;
    width: 98px;
    height: 98px;
    margin: 0;
    display: block;
    box-sizing: border-box;
    float: left;
}

.mysection li div{
    width: 100%;
    padding: 50% 0;
    text-align: center;
    color: green;
    font-size: 20px;
}

/* animation flip-card */
.backSide{
    position: absolute;
    background-image: url("mg2\ images/backside.jpg");
    background-size: contain;
    background-position: center;
}

.frontSide{
    transform: rotateY(90deg);
    background-image: "";
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

@keyframes flip{
    0% {transform: rotateY(0deg)}
    100% {transform: rotateY(90deg)}
}

.animation1{
    animation: flip 0.2s ease-in forwards;
} 

.animation2{
    animation: flip 0.2s 0.2s ease-out forwards reverse;
}

/*to hide the reverse of the card*/
.hidden{
    transform: rotateY(90deg);
}

.seen{
    transform: rotateY(0deg);
}

/*correct style*/
@keyframes flash{
    0% { opacity: 1}
    50% { opacity: 0.2}
    100% { opacity: 1}
}

.correct{
    transform: rotateY(0deg);
    animation: flash ease-in-out 1s infinite;
}
.correctOut{
    transform: rotateY(0deg);
    opacity: 0.5; 
}

.ending{
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    margin-left: calc(calc(100% - 400px) / 2);
    margin-top: 100px;
    background-color: #17a2b8;
    width: 400px;
    height: 200px;
    padding: 15px;
    color: white;
    align-content: center;
    text-align: center;
}

.endButton{
    background-color: white;
    padding: 5px 10px;
    font-size: 20px;
    color: #17a2b8;
    border: outset;
    border-radius: 8px;
    width: 100px;
    text-align: center;
    height: 40px;
}